[youtubei.js](../../../../README.md) / [JsHelpers](../README.md) / memberBaseName

# Function: memberBaseName()

> **memberBaseName**(`memberExpression`, `source`): `string` \| `null`

Defined in: [src/utils/javascript/helpers.ts:193](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/javascript/helpers.ts#L193)

Retrieves the base identifier for a member expression chain.

## Parameters

### memberExpression

`MemberExpression`

Member expression whose root should be resolved.

### source

`string`

Original source code for range lookups.

## Returns

`string` \| `null`
